## NAME

CURLOPT_SEEKDATA - custom pointer passed to the seek callback

## SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_SEEKDATA, void *pointer);

## DESCRIPTION

Data pointer to pass to the seek callback function. If you use the CURLOPT_SEEKFUNCTION option, this is the pointer you'll get as input.

## DEFAULT

If you don't set this, NULL is passed to the callback.

## PROTOCOLS

HTTP, FTP, SFTP

## EXAMPLE

## AVAILABILITY

Added in 7.18.0

## RETURN VALUE

## SEE ALSO

CURLOPT_STDERR, CURLOPT_DEBUGFUNCTION

This HTML page was made with roffit.